MIB Browser

HostMonitor's Main Page MIB Browser
Version 2.00
Copyright (c) 2005-2018 Advanced Network Software
What's New What's New Copyright/License/Warranty Download HostMonitor Download Registration Information Buy Now

RMA for Windows
RMA for Unix

MIB Browser is an auxiliary application for HostMonitor, however it can be used independently as well. It is included into Advanced Host Monitor package (since version 5.70); it can also be downloaded separately at download page

screenshot MIB Browser allows you to view the hierarchy of SNMP MIB variables in the form of a tree and provides you with additional information about each node.
With MIB Browser you can easily load (compile) proprietary MIB files, view and manipulate data provided by local or remote SNMP agent - MIB Browser may retrieve counters value from specific SNMP agent, display tables, show system informaion and real-time charts.

When you are configuring SNMP Get, SNMP Table or SNMP Trap test methods with MIB Browser installed HostMonitor allows you to specify SNMP variables by a name (e.g. iso.org.dod.internet.mgmt.mib-2.system.sysUpTime.0) as well as by an OID in numeric format (e.g. 1.3.6.1.2.1.1.3.0). If you click on "Browse MIBs" button next to "OID" field, HostMonitor will launch MIB Browser displaying the hierarchy tree of SNMP variables. The specified variable (if any) is highlighted and additional information is displayed for it (such as status, access mode, description). Now you may browse variables, choose another variable if needed and click [Ok] button to use the selected variable by HostMonitor.
Also, by using a database of compiled MIB files HostMonitor may translate OID from its numeric form to the MIB name for received SNMP Trap messages. In such case MIB Browser is needed when you want to extend a database to include information about MIBs supported by some specific SNMP enabled device (e.g. your CISCO 1603 router).

Note: you may find IP-Tools' SNMP Scanner utility useful for your needs. SNMP Scanner allows you to scan a range or list of hosts performing Ping, DNS and SNMP queries. For each SNMP responding device the scanner displays additional information.

Interface of the browser is simple and straightforward so we note just few key points:

Main window

Main screen displays the hierarchy of SNMP MIB variables in the form of a tree and provides you with the following additional information about each node of the tree:
  • Name
  • OID
  • SYNTAX
  • Access
  • Status
  • Description
Hints:
  • Press "+" or "*" to expand a tree node. If you press "+", immediate sub-nodes of the selected node will be displayed. If you press "*", all descendants of the immediate sub-nodes will be expanded as well. When the node is expanded the [-] button appears next to the node name.
  • To collapse a tree node press "-". When a node is collapsed, all of its sub-nodes are hidden and the [+] button will be displayed near the node name.

Popup menu helps to retrieve value of the selected counter:
  • Get value
  • Get next
  • Get row
  • Get table
  • Chart

Menu File
Allows you to perform operations with MIB files and MIB database (the database stores information about all compiled MIB files). This menu is disabled when MIB Browser is started while you were editing a HostMonitor's test item.
- Append MIB file | Brings up an "Open file" dialog, reads specified MIB file, analyzes the structure and adds branch(es) with SNMP variables into the database, displays updated tree with new items. You may use menu View->Statistics to get information about every analyzed MIB file that is included into database
- Load database | Discards all changes and loads previously saved database
- Save database | Saves all changes into MIB database
- Clear | Removes all compiled MIBs from database
- Exit | Closes application
Note: MIB files are provided by vendors of SNMP enabled devices. If you cannot contact the vendor, try to find the file on the Internet. Numerous free resources offer wide lists of MIB files for various devices (e.g. http://www.mibdepot.com/index.shtml)
Menu Search
- Find name | Searches for specific name, and highlights the first occurrence. The search is case insensitive
- Search next | Searches for the next entry of the specified name
- Find OID | Searches for the specific OID (e.g. 1.3.6.1.2.1.1.3)
Menu View
- Charts | Loads selected SNMP chart profile and starts real-time monitoring
- System into | This utility connects to target SNMP agent and retrieves up to date system information such as OS description, uptime, disk free space, memory usage, network interfaces.
- Get counter | Brings up SNMP Get window that allows you to perform SNMP Get and Get_Next requests against SNMP agents. You may also use popup menu items "Get value" and "Get next".
- Table | Connects to target SNMP agent and retrieves current values of all counters that belong to specified table.
- Statistics | Displays information about every analyzed MIB file that is included into the database: MIB name, date when file was analyzed, how many items are specified in the file and the number of errors (if any)
Menu Help
- Help | Displays Help
- Support | Allows you to send an e-mail request to our tech support staff
- About | Information about program

SNMP Get

This utility may request data from target SNMP agent: it may retrieve single counter, get all instances of the multi-instance counter, display up to date system info, etc.

First you need to specify target system address, port, SNMP profile, then choose OID to request.

OID
The object identifier which uniquely identifies the object for requesting (e.g. 1.3.6.1.2.1.1.1.0). MIB Browser sets this field automatically using the selected MIB variable, however you may change the automatically assigned value.

After specifying above parameters you may perform the following actions:

GET
Retrieves value of the specified variable. Please note: If you are requesting a single instance counter, add ".0" to the OID. Otherwise make sure that you have specified a valid index or use the Get Next request instead (if you don't know the index).

Get Row
This operation is useful when you need to retrieve variables from within a table. If you select multi-instance counter, this function will retrieve all instances of the counter. E.g. Get Row 1.3.6.1.2.1.2.2.1.10 will retrieve the total number of octets received on EACH network interface installed on target system.
For single-instance counters this function works similar to Get function.

Get Next
Retrieves one or several SNMP variables following the specified OID. With this operation, you don't need to know the exact variable index. The SNMP agent searches sequentially to find the needed variable within the database.

Chart
For a numeric counters you may use "Chart" function - display counter value as real-time charts.

System info
Connects to target SNMP agent and retrieves up to date system information such us OS description, uptime, disk free space, memory usage, network interfaces.

Go to
Searches for last requested OID in the MIB tree, selects the counter and displays information about the variable.

Close
Simply closes "SNMP Get" window (returns focus to main window or chart window)

Table

This MIB Browser utility connects to target SNMP agent and retrieves current values of all counters that belong to specified table. E.g. if you select ifTable element, MIB Browser will display detailed information about all network interfaces installed on target device, including interface description, physical address, speed, admin and operational status, total number of octets received on the interface, errors and so on.

Popup menu allows you to copy all fields within selected column or row into clipboard, copy entire table into clipboard, copy OID related to selected cell. For a numeric counters you may use "Chart" menu item - display counter value as real-time charts.

Charts

This utility displays real-time charts for one or several counters (up to 4 counters). You can choose counters using main window, SNMP Get window or Table window. MIB Browser may monitor counters provided by one or several SNMP agents, e.g. you may see traffic on your server and your router at the same time.

You may set refresh rate, pause and resume monitoring, choose color palette, set one of the following visualization modes:
  • Counter value
  • Value change
  • Value change /sec
  • Percentage change
Also popup menu offers "Copy data" option - copies data into clipboard.

Save profiles / Load profiles
This option allows you to save current settings into file. MIB Browser stores list of counters, refresh rate, visualization mode. Then you may load stored profile at any time using "Load profiles" button or using main window menu View->Charts.

Target host

In order to connect to remote SNMP agent the following parameters should be specified:

Agent address
A string specifying either a dotted-decimal IP address or a host name that can be resolved to an IP address (e.g. 195.168.10.10).

Port
UDP port used by target SNMP agent (default port for SNMP requests 161)

Timeout
This is the amount of time in milliseconds the program will wait for a response from SNMP agent before the request fails.

Retries
Specifies the communications retry count

SNMP Profile
Choose SNMP credentials profile

SNMP Credentials

SNMP Credentials dialog allows you to setup list of SNMP profiles (accounts). Profiles store login or community string and other information necessary for communication with SNMP agent.
For each profile you should specify name of the profile (your choice) and version of SNMP protocol used by SNMP agent. MIB Browser supports SNMP v1, v2c and v3.

Community
If SNMP agent uses SNMP v1 or v2c protocol, specify the SNMP community name (often SNMP agents use "public" as community string).

If SNMP agent is configured to use SNMP v3, you should specify the following parameters:

Username
Enter the username that is configured for the SNMP agent(s). An SNMP device, upon reception of a request, uses this username to look for configured authentication and encryption parameters and applies them to the received request message.
Context
Specify the context needed to identify specific SNMP instances. This parameter is optional.

Authorization
You may choose one of the following authorization methods: None (no authorization), MD5 or SHA authentication.
Authorization password
If authorization is used, use this field to specify authorization password.

Privacy type
Specify encryption mode: DES, AES or 3DES
Privacy password
Specify key for encryption

Note:
When you install Advanced Host Monitor package, then all applications (MIB Browser, HostMonitor, DiskMeter, RCC) use the same set of SNMP Profiles stored in snmpacc.lst file. You may modify profiles using HostMonitor or RCC application. MIB Browser and DiskMeter does not allow modifications so operator without necessary rights cannot change profiles.
When MIB Browser (or DiskMeter) installed as standalone application, it allows SNMP credentials modification, profiles stored in snmpacc2.lst file.

Minimum system requirements

  • Windows XP SP2, Vista SP2, Windows 7, Windows 8 or Windows 10
  • Windows Server 2003 SP2, Server 2008 SP2/R2, Server 2012 or Windows Server 2016
  • TCP/IP connection (LAN or Dial-up)
  • 3 MB of free disk space
  • Minimum screen resolution: 800 x 600

How much does it cost?

When you purchase an Advanced Host Monitor you will get the license for MIB Browser at no cost.
Advanced Host Monitor package is available in several licensing options: Starter ($199), Professional ($350), Advanced ($599), Enterprise ($1299) and Enterprise with Lifetime Updates ($2499). You can order by credit card, Switch and Solo debit cards, check/money order or wire transfer order. If you are concerned about submitting your order and/or credit card information online, you may register the Advanced Host Monitor via phone, fax or postal mail.
Details..


[HostMonitor] Copyright/License/Warranty

hmtitle3.gif (3014 bytes)
Copyright / License / Warranty
Advanced Host Monitor HostMonitor What's New What's New MIB Browser MIB Browser Download HostMonitor Download Registration Information Buy now

Evaluation License
(If you have purchased a license for the registered version of the program, see the section Registered version license)

Evaluation and Registration

Advanced Host Monitor is not free software. Subject to the terms below, you are hereby licensed to use this software for evaluation purposes, without charge, for a period of 30 days. If you use this software after the 30 day evaluation period a registration fee is required.

Distribution of Evaluation Version

Provided you verify that you are distributing the evaluation version (see License window to check) you are hereby licensed to make as many copies of the evaluation version of this software and documentation as you wish; distribute exact copies of the original evaluation version to anyone; and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. There is no charge for any of these actions. You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

Unregistered use of this program after the 30-day evaluation period is in violation of international copyright laws.

Registered Version License
(If you are using an evaluation version of the program, see the section entitled Evaluation License.)

The single license allows you to install the software on ONE system. If you want to run (install) application on a number of systems then you have to buy the same number of licenses. The same rule is applicable to any of the auxiliary tools of Advanced Host Monitor package. Example: if you want to install HostMonitor on 1 system and start HM Web Service on 2 different systems, you need 1 license for HostMonitor and 2 licenses for Web Service. However the number of users that may control HostMonitor via those two Web Services is unlimited.

Notice:

Advanced Host Monitor may not be sold or resold, distributed as a part of any commercial package, or distributed to support any kind of profit-generating activity, even if it is being distributed freely. If you would like to distribute Advanced Host Monitor as part of a commercial distribution, magazine, Internet book, CD-ROM, etc., please contact us for permission.

Disclaimer:

Advanced Host Monitor is provided "as is" without warranty of any kind, either express or implied, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. In no event shall the author be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if the author has been advised of the possibility of such damages.